Subject: Re: Temporary directories getting errantly added into trees

From: Eric Wong <[email-masked]>
Date: Wed, 21 Nov 2007 23:30:59 -0800

Sam Vilain <[email-masked]> wrote:
> I just got through a rather nasty debugging session with git-rebase,
> which relies on a .dotest directory.  Turns out that .dotest was
> accidentally added to the tree in the history of the commit that was
> being rebased onto.

Hi Sam,

Ouch

> There are a lot of temporary files like that made by various scripts -
> eg, git-filter-branch makes .git-rewrite, etc.
> 
> I think it would be a good thing for all if you had to work very hard to
> put files like this in the tree, or perhaps it would be better to go
> through and make all the tools that create these temporary directories
> create them under .git instead.

Polluting the working tree is definitely a bad thing to do IMNSHO.

git-rebase --merge already puts its temporary directory inside
.git/.dotest-merge.  I hoped to set an example with that and
get more tools to do the same; but it hasn't happened yet...

-- 
Eric Wong